@charset "UTF-8";

/* ベース */

#book {
    position: relative;
    width: 100%;
    margin: 30px 0 0 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Zen Kaku Gothic New", sans-serif;
    color: #3C3C50;
    font-weight: 400;
    background-color: #FAFAFA;
}

@media screen and (max-width: 768px) {
    #book {
        margin: min(30px, 3.9%) 0 0 0;
    }
}

@media screen and (max-width: 480px) {
    #book {
        margin: min(40px, 12.5%) 0 0 0;
    }
}

#book p {
    margin: 0;
    padding: 0;
}

#book a {
    transition: ease-in-out .3s;
}

#book ul, #book li {
    margin: 0;
    padding: 0;
    list-style: none;
}

#book h1, #book h2, #book h3 {
    margin: 0;
    padding: 0;
}

#book a:hover {
    opacity: 0.5;
}

#book * {
    box-sizing: border-box;
}

#book img {
    display: block;
    width: 100%;
    max-width: 100%;
    height:auto;
}

#book a img {
    opacity: 1;
    transition: 0.3s ease-in-out;
}

#book a:hover img {
    opacity: 0.5;
    transition: 0.3s ease-in-out;
}

/* #book section {
    padding:min(130px, 6.77%) 0 min(140px, 7.29%);
}

@media screen and (max-width: 768px) {
    #book section {
        padding:min(30px, 7.69%) 0 min(50px, 12.8%);
    }
} */

/* 変数 */
:root {
    --pink01: #FDE2EA;
    --pink02: #F34E6B;
    --yellow01: #FFF3C3;
    --yellow02: #FFF200;
    --white: #fff;
    --green: #00A63D;
    --blue: #003E81;
}


/* =========================
   レイアウト 
========================= */

.layout {
    padding-left: 0px;
    padding-right: 0px;
    position: relative;
}

/* 左右サイド固定 */
.side {
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    top: 0;
    height: 100vh;

    /* ★ 中央750pxを除いた残りを半分 */
    width: calc((100% - 390px) / 2);

    background: rgba(235, 235, 233, 0.5);
    z-index: 10;
}

/* 左サイド */
.side--left {
    left: 0;
}

.side_l_wrap {
    display: flex;
    justify-content: center;
    align-items: center;
}

.side_l_title {
    width: calc(248/374*100%);
}

/* 右サイド */
.side--right {
    right: 0;
}

.side_r_wrap {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: calc(30/374*100%);
}

@media (max-width: 768px), (max-height: 500px) {
    .side_r_wrap {
        display: none;
    }
}

.side_r_list {
    width: 45%;
    display: flex;
    flex-direction: column;
    gap: 1.5vw;
    transition: opacity 0.3s ease, visibility 0.3s ease;
}

.side_r_list.is-hide {
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
}

@media (min-width: 1440px){
    .side_r_list {
        width: 65%;
        gap: 1.5vw;
    }
}

@media screen and (max-width: 768px) {
    .side {
        display: none;
    }
}

/* 中央コンテンツ */
.main {
    max-width: 390px;
    margin: 0 auto;
    padding: 0;
}

@media screen and (max-width: 768px) {
    .main {
        width: 100%;
        max-width: 390px;
        padding: 0;
    }
}

.l_container01 {
    width: 100%;
    padding: 0 calc(36/390*100%);
}

.l_container02 {
    width: 100%;
    padding: 0 calc(24/390*100%);
}

/* テキスト */

.lead01 {
    font-size: 14px;
    font-weight: 500;
    line-height: 1.7;
}

.lead01 p + p {
    padding-top: 1em !important;
}

.text01 {
    font-size: 14px;
    font-weight: 400;
    line-height: 1.7;
}

.text_center {
    text-align: center;
}

/* マージン */

.mt10 {margin-top: 10px !important;}
.mt15 {margin-top: 15px !important;}
.mt20 { margin-top: 20px !important;}
.mt25 { margin-top: 25px !important;}
.mt30 { margin-top: 30px !important;}
.mt35 { margin-top: 35px !important;}
.mt40 {margin-top: 40px !important;}
.mt55 {margin-top: 55px !important;}

/* 画像 */

.image100 {width: 100%;}


/* =========================
セクション01
========================= */

.sec01 {
    background-color: #FAFAF8;
    padding-top: 50px;
    padding-bottom: 40px;
}

.sec01_h2 {
    font-size: 20px;
    text-align: center;
    font-weight: 700;
}

.parson_intro {
    font-size: 12px;
    font-weight: 400;
    line-height: 1.5;
    margin-top: 15px;
}

.parson_intro a {
    color: #A2B7CE;
}

/* =========================
セクション02
========================= */

.sec02 {
    position: relative;
    background:url(../images/sec02_bg.jpg) no-repeat center 10px / cover;
    padding-bottom: 40px;
}

.sec02_h2 {
    margin: -10px auto 0 !important;
}

.sec02_ttl_lineup {
    width: 100%;
    margin-top: 40px !important;
}

/* スライドショー */

.slide_lineup {
  width: 100%;
  position: relative;
  overflow: hidden;
  background-color: #fff;
}

/* Swiper必須 */
.slide_lineup .swiper-wrapper {
  display: flex;
}

.slide_lineup .swiper-slide {
  width: 100%;
}

.slide_lineup img {
  display: block;
  width: 100%;
  height: auto;
}

/* 矢印（既存デザイン流用） */
.slide_lineup .swiper-button-prev,
.slide_lineup .swiper-button-next {
  width: 20px;
  height: 20px;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  top: 110px;
}

.slide_lineup .swiper-button-prev {
  background-image: url(../images/slide_l.png);
  left: 12px;
}

.slide_lineup .swiper-button-next {
  background-image: url(../images/slide_r.png);
  right: 12px;
}

/* デフォルト矢印消す */
.slide_lineup .swiper-button-prev::after,
.slide_lineup .swiper-button-next::after {
  display: none;
}


/* =========================
セクション03
========================= */

.sec03 {
    background-color: #FAFAF8;
    padding-top: 40px;
    padding-bottom: 40px;
}

.sec03_point {
    width: calc(123/342*100%);
    margin-left: auto !important;
    margin-right: auto !important;
    display: block;
}

.sec03_flex {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px calc(20/342*100%);
    margin-top: 15px !important;
}

.sec03_flex_box01 {
    width: calc(160/342*100%);
}

.sec03_flex_box02 {
    width: 100%;
}

.image_ramen {
   width: calc(163/342*100%); 
   margin: 25px auto 0;
}

/* =========================
セクション04
========================= */

.sec04 {
    background-color: #EBEBE9;
    padding-top: 40px;
    padding-bottom: 40px;
}

/* インスタ */

.insta_column {
    margin: 25px auto 0;
    display: flex;
    flex-wrap: wrap;
    gap:9px calc(9/318*100%);
    justify-content: center;
    width: 100%;
}

.insta_column .insta {
    width: calc(100/318*100%);
    display: flex;
    align-items: center;
    justify-content: center;
    aspect-ratio: 1 / 1; /* 正方形に固定 */
    cursor: pointer;
    display: block;
    overflow: hidden;
    transition: 0.3s ease-in-out;
}

.insta_column .insta:hover {
    opacity: .5;
}

.insta img {
    width: 100%;
    height: 100% !important;
    object-fit: cover;
    object-position: center center;
}


.thumbnail {
    cursor: pointer;
}

/* モーダル背景 */
.modal {
    display: none;
    position: fixed;
    z-index: 9999;
    left: 0; top: 0;
    width: 100%; height: 100%;
    background: rgba(0,0,0,0); /* 最初は透明 */
    justify-content: center;
    align-items: center;
    transition: background 0.3s ease;
}

.modal.show {
    display: flex;
    background: rgba(0,0,0,0.8);
}


/* モーダルコンテンツ */

.modal-content {
    position: relative;
    width: 90%;
    height: 80%;
    max-width: 500px;
    background: #fff;
    border-radius: 8px;
    overflow: hidden;
    transform: scale(0.9);
    opacity: 0;
    transition: transform 0.3s ease, opacity 0.3s ease;
}

@media screen and (max-width: 768px) {
    .modal-content {
        border-radius: 1vw;
        height: 70%;
    }
}

.modal.show .modal-content {
    transform: scale(1);
    opacity: 1;
}


/* 閉じるボタン */
.close {
    position: absolute;
    top: 10px; right: 15px;
    font-size: 24px;
    color: #fff;
    cursor: pointer;
    z-index: 10001;
}

 /* iframeサイズ調整 */
.modal iframe {
    display: block;
    width: 100%;
    height: 100%;
    border: none;
}

@media screen and (max-width: 768px) {

    #navi-open {
        background-color:transparent;
    }

    #header_nav .inner-link {
        background: rgba(255 255 255 / 0.8);
    }

    #header_nav li a {
        color: #333;
    }

    #header_nav li {
        border-bottom: 1px solid #333;
    }

    .menu-trigger span {
        background-color: #333;
    }
}


